de.caff.util.settings.swing

## Class AbstractBasicEditorProvider

- java.lang.Object
- - de.caff.util.settings.swing.AbstractBasicEditorProvider

- All Implemented Interfaces:
    EditorProvider
  Direct Known Subclasses:
    AbstractBasicGroupEditor, BooleanEditor, ColorEditor, DirectoryEditor, EnumEditor, FixEditorProvider, FormattedStringEditor, NumberEditor, StringEditor, TextEditor, UrlListEditor

      abstract class AbstractBasicEditorProvider
      extends java.lang.Object
      implements EditorProvider

  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicEditorProvider(AbstractBasicSimpleEditableChangeableItem property, java.util.Locale l)` Constructor.
    `protected` | `AbstractBasicEditorProvider(java.lang.String baseTag, java.util.Locale l)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get a description for the property used.
    `javax.swing.JComponent` | `getLabel()` Get a label component for this editor.
    `java.lang.String` | `getLabelText()` Get the label text.
    `static java.lang.String` | `getLabelTextWithPunctuation(java.lang.String text)` Get the label text including potential punctuation.
    `java.lang.String` | `getTitleText()` Get a title text for this editor component.
    `java.lang.String` | `getToolTipText()` Get a tool tip string for this editor component.
    `boolean` | `isValidValue()` Is the value in the editor component valid?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditorProvider

      `getEditor, goodBye, reset, save`

- - ### Constructor Detail

    - #### AbstractBasicEditorProvider

          protected AbstractBasicEditorProvider(@NotNull
                                                java.lang.String baseTag,
                                                @Nullable
                                                java.util.Locale l)

      Constructor.
      Parameters:
        `baseTag` - base tag (will be expanded by various suffixes)
        `l` - locale

    - #### AbstractBasicEditorProvider

          protected AbstractBasicEditorProvider(@NotNull
                                                AbstractBasicSimpleEditableChangeableItem property,
                                                @Nullable
                                                java.util.Locale l)

      Constructor.
      Parameters:
        `property` - property to edit
        `l` - locale to use

  - ### Method Detail

    - #### isValidValue

          public boolean isValidValue()

      Is the value in the editor component valid?
      Specified by:
        `isValidValue` in interface `EditorProvider`
      Returns:
        the answer

    - #### getLabelText

          @Nullable
          public java.lang.String getLabelText()

      Get the label text.
      Specified by:
        `getLabelText` in interface `EditorProvider`
      Returns:
        label text

    - #### getLabelTextWithPunctuation

          @Nullable
          public static java.lang.String getLabelTextWithPunctuation(@Nullable
                                                                               java.lang.String text)

      Get the label text including potential punctuation.
      Parameters:
        `text` - basic label text
      Returns:
        label text including punctuation, or `null` if there is no label text defined

    - #### getLabel

          @Nullable
          public javax.swing.JComponent getLabel()

      Get a label component for this editor. If the returned component is null the `editor component` is inserted without a label.
      Specified by:
        `getLabel` in interface `EditorProvider`
      Returns:
        something used as a label component, or `null`

    - #### getTitleText

          @Nullable
          public java.lang.String getTitleText()

      Get a title text for this editor component.
      Specified by:
        `getTitleText` in interface `EditorProvider`
      Returns:
        a title text or `null` if a title makes no sense

    - #### getToolTipText

          @Nullable
          public java.lang.String getToolTipText()

      Get a tool tip string for this editor component.
      Specified by:
        `getToolTipText` in interface `EditorProvider`
      Returns:
        tooltip text or `null` if no tooltip is used

    - #### getDescription

          @Nullable
          public java.lang.String getDescription()

      Get a description for the property used.
      Specified by:
        `getDescription` in interface `EditorProvider`
      Returns:
        description, possibly multi-line